TYPO3.Flow - Bug # 31270

Status: Resolved Priority: Must have

Author: Karsten Dambekalns Category: Object

Created: 2011-10-25 Assigned To: Karsten Dambekalns
Updated: 2011-11-07 Due date:

PHP Version:

Has patch: No

Complexity:

Affected Flow version: FLOW3 1.0.0

Subject: Proxy classes loose @return and @throws annotations

Description

The proxy classes built by FLOW3 no longer contain @throws and @return annotations. This breaks code relying on that, like the

SOAP WSDL generator.

Related issues:

related to TYPOS.Flow - Bug # 31452: IgnoreValidation with argumentName does ...

Resolved 2011-10-31

Associated revisions

Revision ecb650c8 - 2011-10-25 14:09 - Christopher Hlubek
[BUGFIX] Proxy class builder should retain original annotations
Original metadata information on proxied methods should be retained
to allow for code inspection and usage of metadata for dynamic code
generation.

Change-Id: Ifcf5da2e4b43b917a85a1bea061e9ee8b33f1a50

Fixes: #31270
Releases: 1.0, 1.1

Revision 72dd3de0 - 2011-11-07 13:59 - Christopher Hlubek
[BUGFIX] Proxy class builder should retain original annotations
Original metadata information on proxied methods should be retained
to allow for code inspection and usage of metadata for dynamic code
generation.

Change-Id: 19e68c42a227d6a978b74174cf02cd5940781b864

Fixes: #31270
Releases: 1.0, 1.1

History

#1 - 2011-10-25 14:09 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 4 of change lfcf5da2e4b43b917a85a1bea061e9ee8b33f1a50 has been pushed to the review server.
It is available at http://review.typo3.org/6163

#2 - 2011-10-31 10:48 - Christopher Hlubek

Just a note: this breaks ignorevalidation on controllers since they are still using getMethodTagsValues which will return a wrong result if an annoation

is written by the proxy builder like:

@TYPO3\FLOW3\Annotations\IgnoreValidation(argumentName="$service")

instead of

@TYPO3\FLOW3\Annotations\lgnoreValidation("$service")

I'll push a bugfix for the ActionController.

#3 - 2011-10-31 13:13 - Karsten Dambekalns

Christopher Hlubek wrote:

I'll push a bugfix for the ActionController.

Thanks!

#4 - 2011-11-07 14:00 - Mr. Hudson

Patch set 1 of change 19e68c42a227d6a978b74174cf02cd5940781b864 has been pushed to the review server.
It is available at http://review.typo3.org/6571

#5 - 2011-11-07 16:36 - Christopher Hlubek
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:72dd3de06a8f6bcc7f26e83b8e4f29c04edb36d6.
